<?
define('PROTECTOR', 1);

$head = 'pitomec';//фикс. места

$textl='Питомник';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');

switch($_GET[mod]){

default:
echo"<b>Питомник</b>$div";
$reav = mysql_num_rows(mysql_query("SELECT * FROM `pit` WHERE `hozyain` = '$log'"));
if($reav==0){echo"У вас нет питомцев, вы можете <a href=\"pitomec.php?mod=new\">купить</a>";break;}

$req = mysql_query("SELECT `id` FROM `pit` WHERE `usr` != '$log' and `hozyain`='$log' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1){
echo"<a href=\"pitomec.php?mod=back\">Забрать питомца</a><br/>";
echo"<a href=\"pitomec.php?mod=back\">Отдать навсегда</a><br/>";}
$pet = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($pet);
if($avto>0){
$pit = mysql_fetch_array($pet);
if($pit[old]==1){$old="Детёныш";}
if($pit[old]==2){$old="Взрослый";}
if($pit[old]==3){$old="Дрессированный";}
if($pit[status]=="die"){$pit[ava]="die.jpg";}
echo"<img src=\"pic/pit/$pit[ava]\" alt=\"пит\" style=\"float:left;margin-right:5px;\"/><a href=\"pit.php?mod=mypit\">$pit[name]</a></br>$old, $pit[lvl] ур.</br>
Атака: <b>$pit[ataka]/$pit[mataka]</b></br>
Уровень: <b>$pit[lvl]</b></br>";
if($pit[lvl]<40){$nl=$opp-$pit[exp];
echo"До следующего ур : <b>$nl</b> оп";
$exp=((($pit[exp]-$oll)/($opp-$oll))*100);
echo"</br><div class='stat_bar'><div class='progress exp' style='width:$exp%'></div></div>";}else{echo"Ваш питомец максимального уровня!</br>";}
echo"Здоровье: <b>$pit[hp]/$pit[hpall]</b></br>
Уворот от травмы: <b>$pit[lovk]/$pit[mlovk]</b></br>Статус: ";
if($pit[status]=="off"){echo"[в питомнике] <br/><a href=\"pitomec.php?mod=kletka&act=on&id=$pit[id]\">Взять в бой</a> |
<a href=\"pitomec.php?mod=send&id=$pit[id]\">Отдать</a>
| <a href=\"pitomec.php?mod=back&id=$pit[id]\">Отпустить</a><br/>";
}
if($pit[status]=="on"){echo"<b>с вами</b> - <a href=\"pitomec.php?mod=kletka&act=off&amp;id=$pit[id]\">
Оставить</a><br/>";}
$t=time();
$proc=(($pit[korm]-$t)/$pit[eda])*100;
if($pit[status]=="die"){
if($pit[old]==1){$pi=10;}
if($pit[old]==2){$pi=15;}
if($pit[old]==3){$pi=20;}
$cena=round($pit[hpall]*$pi);
echo"[Мёртв] - <a href=\"pitomec.php?mod=revival&amp;id=$pit[id]\">
Воскресить $pit[name] [$cena монет]</a><br/>";}

echo"Сытость: </br><div class='stat_bar'><div class='progress eda' style='width:$proc%'></div></div>";

echo"<a href=\"pitomec.php?mod=korm\">Покормить $pit[name]</a><br/>";
if($pit[skill]>=1){echo"<a href=\"pitomec.php?mod=train\">Тренировать $pit[name]</a>($pit[skill])<br/>";}
if($pit[status]!=="die"){echo"<a href=\"pitomec.php?mod=health\">Лечить $pit[name]($pit[hp]/$pit[hpall])</a><br/>";}
echo"<a href=\"pitomec.php?mod=best\">Переименовать</a><br/>";}
break;

case 'kletka':
$_GET[id] = htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"У вас нет питомцев!";
@include('files/down.php');exit;}
if($_GET[act]=='on'){
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on'");
$avto=mysql_num_rows($req);
if($avto==1){
echo"Сначала оставте активного питомца!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='off' and id='$_GET[id]'");
$avto=mysql_num_rows($req);

if($avto==0){
echo"У вас нет такого питомца!";
@include('files/down.php');exit;}

$pit = mysql_fetch_array($req);
mysql_query("UPDATE `pit` SET `status` = 'on' WHERE `usr` = '$log' and `status`='off' and id='$_GET[id]'");
echo"Вы забрали $pit[name] с питомника!<br/>";}
elseif($_GET[act]=='off'){
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='on' and id='$_GET[id]'");
$avto=mysql_num_rows($req);

if($avto==0){
echo"У вас нет такого питомца!";
@include('files/down.php');exit;}

$pit = mysql_fetch_array($req);
mysql_query("UPDATE `pit` SET `status` = 'off' WHERE `usr` = '$log' and `status`='on' and id='$_GET[id]'");
echo"Вы оставили $pit[name] в питомнике!<br/>";
}
echo"$div <a href=\"pitomec.php?\">Назад</a>";
break;

case'new':
if(empty($_GET[id])){
if(empty($_GET[old]) or $_GET[old]==1){$old=1;$ss1="Детёныши";}else{$ss1="<a href=\"pitomec.php?mod=new&old=1\">Детеныши</a>";}
if($_GET[old]==2){$old=2;$ss2="Взрослые";}else{$ss2="<a href=\"pitomec.php?mod=new&old=2\">Взрослые</a>";}
if($_GET[old]==3){$old=3;$ss3="Дрессированные";}else{$ss3="<a href=\"pitomec.php?mod=new&old=3\">Дрессированные</a>";}
echo" [$ss1] [$ss2] [$ss3] $div";
$b = mysql_query("SELECT * FROM `pitomec` WHERE `old` = '$old'");
$av=mysql_num_rows($b);
if($av>=1){
$i=1;
While($best = mysql_fetch_array($b)){
if($best[old]==1){$old="Детёныш";}
if($best[old]==2){$old="Взрослый";}
if($best[old]==3){$old="Дрессированный";}
echo"<img class=\"float-left\" src=\"pic/pit/$best[ava]\"/><a href=\"pitomec.php?mod=info&id=$best[id]\">$best[name]</a></br>$old, $best[lvl] ур.</br>
Атака: <b>$best[ataka]/$best[mataka]</b></br>
Здоровье: <b>$best[hpall]/$best[hpall]</b></br>
Уворот от травмы: <b>$best[lovk]/$best[mlovk]</b></br>
Требуемый уровень: <b>$best[nlvl]</b></br>
 [<a href=\"pitomec.php?mod=new&id=$best[id]&name=$best[name]&alm=$best[cena]\">Купить</a> за <b>$best[cena]</b> <img src=\"pic/almaz.png\" alt=\"*\"/>]$div";
$i++;}}else{
echo"Нет питомцев на продаже<br/>";}}else{
if(empty($_GET[ok])){
echo "Ты точно хочешь приобрести питомца <b>$_GET[name]</b> За <b>$_GET[alm]</b> алмазов?</br>
<a href=\"pitomec.php?mod=new&id=$_GET[id]&ok=ok\">Да, купить</a><br/>
<a href=\"pitomec.php?mod=new\">Нет</a><br/>
";}else{
$id = htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$b = mysql_query("SELECT * FROM `pitomec` WHERE `id`='$id'");
////////////////////////////
$avto=mysql_num_rows($b);
if($avto==0){
echo"Такого питомца не существует!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==1){
echo"У вас уже есть питомец!";
@include('files/down.php');exit;}
$pit = mysql_fetch_array($b);
if($udata[almaz]<$pit[cena]){
echo"Нехватает алмазов!";
@include('files/down.php');exit;}
if($udata[lvl]<$pit[nlvl]){
echo"У вас маленький уровень для этого питомца!";
@include('files/down.php');exit;}
$t=time();
$v=3600*24*7;
$korm=$t+$v;
mysql_query("INSERT INTO
        `pit` SET
        `usr` = '$log',
        `name` = '$pit[name]',
        `hozyain` = '$log',
        `status` = 'off',
        `ava` = '$pit[ava]',
        `old` = '$pit[old]',
        `dies` = '0',
        `lvl` = '$pit[lvl]',
        `skill` = '2',
        `hp` = '$pit[hpall]',
        `korm` = '$korm',
        `eda` = '$v',
        `hpall` = '$pit[hpall]',
        `exp` = '$pit[exp]',
        `ataka` = '$pit[ataka]',
        `mataka` = '$pit[mataka]',
        `lovk` = '$pit[lovk]',
        `mlovk` = '$pit[mlovk]',
        `nabros` = '$pit[nabros]',
        `cena` = '$pit[cena]'") or die (mysql_error());

$udata[almaz]=$udata[almaz]-$pit[cena];
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]' WHERE `usr` = '$log'");
echo'Вы приручили питомца <b>'.$pit[name].'</b><br/>';}}
echo"<a href=\"pitomec.php?\">Назад</a>";
break;

case 'revival':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `status`='die' and id='$_GET[id]'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"У вас нет такого питомца!";
@include('files/down.php');exit;}
$pit = mysql_fetch_array($req);
if($pit[old]==1){$pi=10;}
if($pit[old]==2){$pi=15;}
if($pit[old]==3){$pi=20;}
if($pit[lvl]<=0){$pit[lvl]=1;}
$cena=round($pit[hpall]*$pi);
if($udata[money]<$cena){
echo"Нехватает монет!";
@include('files/down.php');exit;}
$udata[money]=$udata[money]-$cena;
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
$t=time();
$proc=(($pit[korm]-$t)/$pit[eda])*100;
if($proc<=0){
$time=time()+43200;
mysql_query("UPDATE `pit` SET `hp` = '$pit[hpall]',`status`='on', `korm`='$time' WHERE `usr` = '$log' and id='$_GET[id]'");
}
mysql_query("UPDATE `pit` SET `hp` = '$pit[hpall]',`status`='on' WHERE `usr` = '$log' and id='$_GET[id]'");
echo"Вы воскресили $pit[name] за $cena монет!<br/>";
echo"<a href=\"pitomec.php?\">Назад</a>";
break;

case 'health':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"У вас нет такого питомца!";
@include('files/down.php');exit;}
$pit = mysql_fetch_array($req);

if($pit[hp]>=$pit[hpall]){
echo"Ваш питомец здоров!";
@include('files/down.php');exit;}
if($pit[old]==1){$pi=10;}
if($pit[old]==2){$pi=15;}
if($pit[old]==3){$pi=20;}
$cena=round($pi);
if(empty($_POST[kol])){
echo '<form action="pitomec.php?mod=health" method="post">';
echo"Цена за ед. здоровья $cena монет<br/>";
echo"Восстановить:<br/>
<input class='input' type=\"text\" size=\"10\" name=\"kol\" maxlength=\"10\"/><br/>";
echo '<input class="button" type="submit" value="Лечить" /></form>';}else{
if($_POST[kol]<=0){
$_POST[kol]=1;}
if(($pit[hp]+$_POST[kol])>$pit[hpall]){
$_POST[kol]=$_POST[kol]-(($pit[hp]+$_POST[kol])-$pit[hpall]);}
$cena=round($_POST[kol]*$cena);
if($udata[money]<$cena){
echo"Нехватает монет!";
@include('files/down.php');exit;}

$udata[money]=$udata[money]-$cena;
$pit[hp]=$pit[hp]+$_POST[kol];

mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("UPDATE `pit` SET `hp` = '$pit[hp]' WHERE `usr` = '$log'");

echo"Вы восстановили <b>$_POST[kol]</b> ед. здоровья у <b>$pit[name]</b><br/>
- $cena монет!<br/>";}
echo"<a href=\"pitomec.php?\">Назад</a>";
break;

case 'korm':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' ");
$avto=mysql_num_rows($req);
if($avto==0){
echo"У вас нет такого питомца!";
@include('files/down.php');exit;}
$pit = mysql_fetch_array($req);
$time=time();
if((($pit[korm]-$time)/(3600*24))>>6){
echo"Ваш питомец сыт!";echo"$div <a href=\"pitomec.php?\">Назад</a>";
@include('files/down.php');exit;}
if($pit[lvl]<=0){$pit[lvl]=1;}
if($pit[old]==1){$pi=30;}
if($pit[old]==2){$pi=60;}
if($pit[old]==3){$pi=90;}
$cena=round($pi);
if(empty($_POST[kol])){
echo '<form action="pitomec.php?mod=korm" method="post">';
echo"Цена за день $cena монет<br/>";
echo"Количество дней:(<small>мин. 1, макс. 7</small>)<br/>
<input class='input' type=\"text\" size=\"2\" name=\"kol\" maxlength=\"2\"/><br/>";
echo '<input class="button" type="submit" value="Кормить" /></form>';}else{
if($_POST[kol]<=0 or $_POST[kol]>7){
echo"Неправильное число!";echo"$div <a href=\"pitomec.php?\">Назад</a>";
@include('files/down.php');exit;}
if((($pit[korm]+(24*3600*$_POST[kol]))-time())/(3600*24)>7.5){
echo"Нельзя перекармливать питомца!";echo"$div <a href=\"pitomec.php?\">Назад</a>";
include('files/down.php');exit;}
$cena=round($_POST[kol]*$cena);

if($udata[money]<$cena){
echo"Нехватает монет!";echo"$div <a href=\"pitomec.php?\">Назад</a>";
@include('files/down.php');exit;}

$udata[money]=$udata[money]-$cena;
$time=$pit[korm]+(24*3600*$_POST[kol]);
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
mysql_query("UPDATE `pit` SET `korm` = '$time' WHERE `usr` = '$log'");

echo"Вы покормили <b>$pit[name]</b> на <b>$_POST[kol]</b> дней!<br/>
- $cena монет!<br/>";}
echo"<a href=\"pitomec.php?\">Назад</a>";
break;

case 'train':
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log'");
$avto=mysql_num_rows($req);
if($avto==0){
echo"У вас нет питомца!";
include('files/down.php');exit;}
$pit = mysql_fetch_array($req);
if($pit[lvl]<=0){$pit[lvl]=1;}
if($pit[old]==1){$cena=100;}
if($pit[old]==2){$cena=200;}
if($pit[old]==3){$cena=300;}
if(empty($_GET[what])){
echo"<b>Доступных очков тренировки: $pit[skill]</b>$div";
if($pit[skill]>0){echo"Цена одного очка: <b>$cena</b><br/>";}
echo"Атака: $pit[ataka]/$pit[mataka]";
if($pit[skill]>0){echo'[<a href="pitomec.php?mod=train&what=ataka">+1</a>]';}echo'<br/>';

echo"Уворот от травмы: $pit[lovk]/$pit[mlovk]";
if($pit[skill]>0){echo'[<a href="pitomec.php?mod=train&amp;what=lovk">+1</a>]';}echo'<br/>';
}else{
if($udata[money]<$cena){
echo"Нехватает монет!";
@include('files/down.php');exit;}
$udata[money]=$udata[money]-$cena;

switch($_GET[what]){
default:
echo'Ошибка! Доступ закрыт!<br/>';
echo"$div<a href=\"pitomec.php?\">Назад</a>";
break;

case 'lovk':
if($pit[skill]>0 and $pit[lovk]<$pit[mlovk]){
$nskill=$pit[skill]-1;
$nparm=$pit[lovk]+1;
mysql_query("UPDATE pit SET skill = '$nskill',lovk='$nparm' WHERE `usr` = '$log'");

mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

echo'Параметр повышен успешно!<br/>';}else{
echo'Нет свободных очков тренировки или параметр прокачан до максимума!<br/>';}
break;

case 'ataka':
if($pit[skill]>0 and $pit[ataka]<$pit[mataka]){
$nskill=$pit[skill]-1;
$nparm=$pit[ataka]+1;
mysql_query("UPDATE pit SET skill = '$nskill',ataka='$nparm' WHERE `usr` = '$log'");

mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

echo'Параметр повышен успешно!<br/>';
}else{
echo'Нет свободных очков тренировки или параметр прокачан до максимума!<br/>';}
break;}}
echo"<a href=\"pitomec.php?\">Назад</a>";
break;

case 'send':
if(empty($_GET[id])){
echo'Такого питомца нет!<br/>';}else{
$_GET[id] = htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT * FROM `pit` WHERE `usr` = '$log' and `id`='$_GET[id]' and `status`='off' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==1){
$pit = mysql_fetch_array($req);
}else{
echo'Такого питомца нет!<br/>';
@include('files/down.php');exit;}
if(empty($_POST[usr])){
echo "<form action=\"pitomec.php?mod=send&id=$_GET[id]\" method=\"post\">";
echo"Вы точно хотите навсегда отдать питомца?</br>";
echo '<b>Кому:</b><br/>';
echo '<input name="usr"/><br/>';
echo '<input type="submit" value="Продолжить"/></form><br/>';}else{
$req = mysql_query("SELECT `id` FROM `users` WHERE `usr` = '".mysql_real_escape_string($_POST[usr])."' LIMIT 1");
$avto=mysql_num_rows($req);
if($avto==0){
echo'Такого игрока нет!<br/>';
@include('files/down.php');exit;}
$req = mysql_query("SELECT `id` FROM `pit` WHERE `usr` = '".mysql_real_escape_string($_POST[usr])."' LIMIT 3");
$avto=mysql_num_rows($req);
if($avto==1){
echo'У игрока есть питомец!<br/>';
@include('files/down.php');exit;}

mysql_query("UPDATE `pit` SET `usr` = '".mysql_real_escape_string($_POST[usr])."', `hozyain`='".mysql_real_escape_string($_POST[usr])."' WHERE `usr` = '$log' and `id`='$_GET[id]'");
         echo'Ваш питомец отдан!<br/>';

         $time = date("H:i d.m.y");
$text = 'Игрок '.$log.' отдал вам питомца '.$pit['name'];
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Зверовод', `user_to` = '".mysql_real_escape_string($_POST[usr])."', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

}}
echo"<a href=\"pitomec.php?\">Назад</a>";
break;

case 'back':
if(empty($_GET[ok])){
echo"Вы точно хотите навсегда отпустить питомца?";echo"</br><a href=\"pitomec.php?mod=back&ok=ok&id=$_GET[id]\">Да, отпустить</a>";
echo"</br><a href=\"pitomec.php?\">Нет,не надо</a>";
}else{
$_GET[id] = htmlspecialchars(stripslashes(addslashes($_GET['id'])));
$req = mysql_query("SELECT `id`,`name` FROM `pit` WHERE `usr` = '$log' and `hozyain`='$log' and `id`='$_GET[id]' LIMIT 1");
$avto=mysql_num_rows($req);
$pit = mysql_fetch_array($req);
if($avto==1){
mysql_query("DELETE FROM `pit` WHERE `usr` = '$log' and `id`='$_GET[id]'");
echo'Вы навсегда отпустили <b>'.$pit['name'].'</b> <br/>';}else{echo"Нет такого питомца";}}
echo"$div <a href=\"pitomec.php?\">Назад</a>";
break;
case 'best':
if(empty($_POST[name])){
echo"Переименовать питомца стоит <b>1</b> алмаз $div";
echo'Введите новое имя:</br>';
echo "<form action=\"pitomec.php?mod=best\" method=\"post\">";
echo '<input name="name"/><br/>';
echo '<input type="submit" value="Сохранить"/></form>';}else{
$name = htmlspecialchars(stripslashes(addslashes($_POST['name'])));
echo"Питомцу присвоено новое имя: <b>$name</b> $div <a href=\"pitomec.php?\">Назад</a>";
mysql_query("UPDATE `users` SET `almaz` = '$udata[almaz]'-'1' WHERE `usr` = '$log'");
mysql_query("UPDATE `pit` SET `name` = '$name' WHERE `usr` = '$log'");
}
break;
}
@include('files/down.php');
?>